// DBThread.java

/* Apisitt Rattana, Jan 14, 2001
   Computer Engineering, Prince of Songkla University
   Revised by
     Andrew Davison, dandrew@ratree.psu.ac.th, Feb 2001
*/
/*
  The title/issue are used to return a vector of entries from
  the Titles database (ts). The URL for each entry is converted
  into standard numerical form, and a SearchResults object
  is created for each entry and added to the display table.

*/

import java.util.*;

public class DBThread extends Thread
{
  private String title, issue;
  private ComicSearch searchIntf;
  private Titles ts;

  public DBThread(String Ctitle, String Cissue, Titles ts, ComicSearch cs)
  {
    title = Ctitle; issue = Cissue;
	this.ts = ts; searchIntf = cs;
  }


  public void run ()
  {
	int issueNo = Integer.parseInt(issue);

	Vector res = ts.findEntries(title, issueNo, searchIntf);
	int i = 0;
	while((i < res.size()) && !searchIntf.stopSearchPressed()) {
	  Entry e = (Entry) res.get(i);
      String urlImage = e.numberImage(issue);
      SearchResults sr = new SearchResults( urlImage, 
		                         e.getTitle() + " " + issue, 
                                 e.getSourceID() );
      searchIntf.writeRow(sr);
	  i++;
    }
    searchIntf.threadFinished("DB");
  }

} // end of DBThread class


