
// SearchResults.java
// Andrew Davison, dandrew@ratree.psu.ac.th, Feb. 2001

/*
  A SearchResult object is created by a search thread when a matching
  comic title/issue is found. 

  The information stored is the anchor text (which will contain the
  title somewhere inside it, along with the issue number), the URL
  in text form, the result source (i.e. a source ID). 

  The row position is also included so that a SearchResult object can be
  used as the data structure for holding row data in the table.

*/


public class SearchResults 
{
   private String urlText;
   private String anchorText;
   private String resultSource;
   private int rowPosn;    // position in display table

   public SearchResults(String uText, String aText, String source)
   {
     urlText = uText;
     anchorText = aText;
     resultSource = source;
	 rowPosn = -1;   // default
   }


   public String getUrlText()
   {  return urlText;  }

   public String getAnchorText()
   {  return anchorText;  }

   public String getResultSource()
   {  return resultSource;  }

   public void setRowPosn(int i)
   { rowPosn = i;  }

   public int getRowPosn()
   {  return rowPosn;  }

   public boolean hasValues()
   { 
     if (!urlText.equals("") && !anchorText.equals(""))
       return true;
     return false;
   }

}  // end of SearchResults
